Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messages
Class PrimitiveConverter

    java.lang.Object
      net.sf.dropboxmq.messages.PrimitiveConverter

     class PrimitiveConverter

extends Object

Created: 03 Feb 2006

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz

Method Summary
`(package private) static Object` | `checkObject(Object value, boolean propertyMode)`
`(package private) static boolean` | `getBoolean(Object objectValue)`
`(package private) static byte` | `getByte(Object objectValue)`
`(package private) static byte[]` | `getBytes(Object objectValue)`
`(package private) static char` | `getChar(Object objectValue)`
`(package private) static double` | `getDouble(Object objectValue)`
`(package private) static float` | `getFloat(Object objectValue)`
`(package private) static int` | `getInt(Object objectValue)`
`(package private) static long` | `getLong(Object objectValue)`
`(package private) static Object` | `getObject(Object value)`
`(package private) static short` | `getShort(Object objectValue)`
`(package private) static String` | `getString(Object objectValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBoolean

    static boolean getBoolean(Object objectValue)
                       throws JMSException

  Throws:
    `JMSException`

### getByte

    static byte getByte(Object objectValue)
                 throws JMSException

  Throws:
    `JMSException`

### getShort

    static short getShort(Object objectValue)
                   throws JMSException

  Throws:
    `JMSException`

### getInt

    static int getInt(Object objectValue)
               throws JMSException

  Throws:
    `JMSException`

### getLong

    static long getLong(Object objectValue)
                 throws JMSException

  Throws:
    `JMSException`

### getFloat

    static float getFloat(Object objectValue)
                   throws JMSException

  Throws:
    `JMSException`

### getDouble

    static double getDouble(Object objectValue)
                     throws JMSException

  Throws:
    `JMSException`

### getChar

    static char getChar(Object objectValue)
                 throws JMSException

  Throws:
    `JMSException`

### getString

    static String getString(Object objectValue)
                     throws JMSException

  Throws:
    `JMSException`

### getBytes

    static byte[] getBytes(Object objectValue)
                    throws JMSException

  Throws:
    `JMSException`

### getObject

    static Object getObject(Object value)

### checkObject

    static Object checkObject(Object value,
                              boolean propertyMode)
                       throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD